<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="no"/>
	<xsl:param name="baseActionURL">render.userLayoutRootNode.uP</xsl:param>
	<xsl:param name="skin" select="'vt'"/>
	<xsl:variable name="mediaPath">media/org/jasig/portal/layout/tab-column/nested-divs</xsl:variable>
	<xsl:variable name="baseColor">orange</xsl:variable>

	<xsl:template match="layout_fragment">
	<html><head>
	<title><xsl:value-of select="content/channel/@name"/></title>
	<meta http-equiv="expires" content="Wed, 26 Feb 1997 08:21:57 GMT"/>
	<meta http-equiv="pragma" content="no-cache"/>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
	<meta http-equiv="language" content="en-us"/>
	<link rel="stylesheet" href="{$mediaPath}/common/skin/standard.css"/>
	<link rel="stylesheet" href="{$mediaPath}/common/skin/print.css" media="print"/>
	<style type="text/css" media="screen">
	<![CDATA[ <!-- ]]>
	@import url(<xsl:value-of select="concat($mediaPath,'/',$skin,'/skin/layout.css')"/>);
	@import url(<xsl:value-of select="concat($mediaPath,'/',$skin,'/skin/',$baseColor,'.css')"/>);
	<![CDATA[ --> ]]>
	</style>
	<link rel="alternate stylesheet" href="{$mediaPath}/{$skin}/skin/orange.css" media="screen" title="orange"/>
	<link rel="alternate stylesheet" href="{$mediaPath}/{$skin}/skin/blue.css" media="screen" title="blue"/>
	<link rel="alternate stylesheet" href="{$mediaPath}/{$skin}/skin/gray.css" media="screen" title="gray"/>
	<link rel="alternate stylesheet" href="{$mediaPath}/{$skin}/skin/khaki.css" media="screen" title="khaki"/>
	<link rel="alternate stylesheet" href="{$mediaPath}/{$skin}/skin/spruce.css" media="screen" title="spruce"/>
	<link rel="alternate stylesheet" href="{$mediaPath}/common/skin/highcontrast.css" media="screen" title="contrast"/>
	<script type="text/javascript">function openBrWindow(theURL,winName,features) {window.open(theURL,winName,features);}</script>
	<script src="{$mediaPath}/common/scripts/styleswitcher.js" type="text/javascript">function fakeFunction() { return false; }</script>
	</head><body>

	<div><br/></div>

	<div class="display-1-columns"><div class="display-padded-column">
	<xsl:for-each select="content//channel">
		<xsl:apply-templates select=".">
			<xsl:with-param name="detachedContent" select="'true'"/>
		</xsl:apply-templates>
	</xsl:for-each>
	</div></div>

	</body></html>

	</xsl:template>

	<xsl:template match="layout">
	<html><head>
	<title>uPortal - <xsl:value-of select="//tab//@pageTitle"/>
		<xsl:if test="//focused">
		 - <xsl:value-of select="//content//channel//@name"/>
		</xsl:if>
	</title>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
	<meta http-equiv="language" content="en-us"/>
	<link rel="stylesheet" href="{$mediaPath}/common/skin/standard.css"/>
	<link rel="stylesheet" href="{$mediaPath}/common/skin/print.css" media="print"/>
	<style type="text/css" media="screen">
	<![CDATA[ <!-- ]]>
	@import url(<xsl:value-of select="concat($mediaPath,'/',$skin,'/skin/layout.css')"/>);
	@import url(<xsl:value-of select="concat($mediaPath,'/',$skin,'/skin/',$baseColor,'.css')"/>);
	<![CDATA[ --> ]]>
	</style>
	<link rel="alternate stylesheet" href="{$mediaPath}/{$skin}/skin/orange.css" media="screen" title="orange"/>
	<link rel="alternate stylesheet" href="{$mediaPath}/{$skin}/skin/blue.css" media="screen" title="blue"/>
	<link rel="alternate stylesheet" href="{$mediaPath}/{$skin}/skin/gray.css" media="screen" title="gray"/>
	<link rel="alternate stylesheet" href="{$mediaPath}/{$skin}/skin/khaki.css" media="screen" title="khaki"/>
	<link rel="alternate stylesheet" href="{$mediaPath}/{$skin}/skin/spruce.css" media="screen" title="spruce"/>
	<link rel="alternate stylesheet" href="{$mediaPath}/common/skin/highcontrast.css" media="screen" title="contrast"/>
	<script type="text/javascript">function openBrWindow(theURL,winName,features) {window.open(theURL,winName,features);}</script>
	<script src="{$mediaPath}/common/scripts/styleswitcher.js" type="text/javascript">function fakeFunction() { return false; }</script>
    </head><body>

	<div class="uportal-page-header">
		<div style="text-align:right"><img src="{$mediaPath}/{$skin}/institutional/uportal.gif" alt="Image: uPortal logo" width="85" height="50" border="0"/></div>
		<xsl:if test="not(//focused)">
			<p class="skipnav"><a href="#main" accesskey="s">Skip to content</a></p>
			<ul id="tabNavigation">
				<xsl:apply-templates select="navigation"/>
			</ul>
		</xsl:if>
	</div>

	<xsl:apply-templates select="header"/>

	<xsl:apply-templates select="content"/>

	<xsl:apply-templates select="footer"/>

	</body></html>

	</xsl:template>

 	<xsl:template match="navigation">
	<xsl:for-each select="tab">
		<xsl:choose>
		<xsl:when test="@activeTab='false'">
			<li>
			<xsl:attribute name="id">tab-<xsl:value-of select="position()"/></xsl:attribute>
				<a href="{$baseActionURL}?uP_root=root&amp;uP_sparam=activeTab&amp;activeTab={position()}">
				<xsl:attribute name="title"><xsl:value-of select="@name"/></xsl:attribute><xsl:attribute name="accesskey"><xsl:value-of select="position()"/></xsl:attribute><xsl:value-of select="@name"/></a>
			</li>
		</xsl:when>
		<xsl:when test="@activeTab='true'">
			<li class="selectedTab">
			<xsl:attribute name="id">tab-<xsl:value-of select="position()"/></xsl:attribute>
				<a href="javascript:void(0)">
				<xsl:attribute name="title"><xsl:value-of select="@name" /></xsl:attribute><xsl:value-of select="@name"/></a>
			</li>
		</xsl:when>
		</xsl:choose>
	</xsl:for-each>
	<li class="fixTabsIE"><a href="javascript:void(0);">&#160;</a></li>
	</xsl:template>

	<xsl:template match="header">
		<div id="tabFooter">&#160;<br/></div>
		<div id="toolbar"><xsl:copy-of select="channel[@name='Header']"/><br/></div>
		<!-- <div><xsl:copy-of select="channel[@name='Login']"/><br/><br/></div> -->
	</xsl:template>

	<xsl:template match="content">
    <xsl:choose>
		<xsl:when test="not(//focused)">
			<xsl:call-template name="contentRow"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates select="focused"/>
		</xsl:otherwise>
	</xsl:choose>
	</xsl:template>

	<xsl:template name="contentRow">
    <xsl:param name="numberOfColumns" select="count(column)" />
	<xsl:variable name="percentsign">%</xsl:variable>
	<xsl:variable name="nopercentsign"></xsl:variable>

	<xsl:if test="$numberOfColumns &gt; 1">
		<xsl:choose>
		<xsl:when test="column[last()]/@width = '100%'">
			<xsl:for-each select="column">
				<div><xsl:attribute name="class">display-<xsl:value-of select="$numberOfColumns"/>-columns</xsl:attribute>
				<div class="display-padded-column">
					<xsl:apply-templates select="channel"/>
				</div></div>
			</xsl:for-each>
		</xsl:when>
		<xsl:otherwise>
			<xsl:for-each select="column">
				<div><xsl:attribute name="class">display-<xsl:value-of select="translate(@width,$percentsign,$nopercentsign)"/>-percent</xsl:attribute>
				<div class="display-padded-column">
					<xsl:apply-templates select="channel"/>
				</div></div>
			</xsl:for-each>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:if>

	<xsl:if test="$numberOfColumns=1">
		<xsl:for-each select="column">
			<div class="display-100-percent"><div class="display-padded-column">
				<xsl:apply-templates select="channel"/>
			</div></div>
		</xsl:for-each>
	</xsl:if>

	</xsl:template>

	<xsl:template match="channel">
	<xsl:param name="detachedContent"/>
	<xsl:if test="@minimized != 'true'">
	<div class="corners-top"></div>
	<div class="channel-window-outside"><div class="channel-window-inside">
		<div class="channel-header">
			<div>
				<span><xsl:value-of select="@title"/></span>
				<xsl:choose>
					<xsl:when test="$detachedContent='true'">
						<xsl:call-template name="detachedChannelControls"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="controls"/>
					</xsl:otherwise>
				</xsl:choose>
			</div>
		</div>
		<div class="channel-content-border"><div class="channel-content-body">
			<xsl:copy-of select="."/>
		</div></div>
	</div></div>
	<div class="corners-bottom"></div>
	</xsl:if>

	<xsl:if test="@minimized = 'true'">
	<div class="corners-top"></div>
	<div class="channel-window-outside-minimized"><div class="channel-window-inside-minimized">
		<div class="channel-header-minimized">
			<div>
			<span><xsl:value-of select="@title"/></span>
			<xsl:choose>
				<xsl:when test="$detachedContent='true'">
					<xsl:call-template name="detachedChannelControls"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="controls"/>
				</xsl:otherwise>
			</xsl:choose>
			</div>
		</div>
	</div></div>
	<div class="corners-bottom"></div>
	</xsl:if>
	<br/>

	</xsl:template>

	<xsl:template match="footer">
		<xsl:for-each select="channel">
			<div style="clear: both;"><br/></div>
			<xsl:copy-of select="."/>
		</xsl:for-each>
	</xsl:template>

	<xsl:template name="controls">
	<xsl:if test="not(@unremovable='true') and not(//focused) and /layout/navigation/tab[@activeTab='true']/@immutable='false'">
		<a href="{$baseActionURL}?uP_remove_target={@ID}" onClick="return confirm('Are you sure you want to remove this channel?')">
			<img src="{$mediaPath}/{$skin}/controls/remove.gif" alt="Image button: Remove" width="16" height="16" border="0"/>
		</a>
	</xsl:if>
	<xsl:if test="not(@hasHelp='false')">
		<a href="{$baseActionURL}?uP_help_target={@ID}">
			<img src="{$mediaPath}/{$skin}/controls/help.gif" alt="Image button: Help" width="16" height="16" border="0"/>
		</a>
	</xsl:if>
	<xsl:if test="not(@hasAbout='false')">
		<a href="{$baseActionURL}?uP_about_target={@ID}">
			<img src="{$mediaPath}/{$skin}/controls/about.gif" alt="Image button: About" width="16" height="16" border="0"/>
		</a>
	</xsl:if>
	<xsl:if test="not(@editable='false')">
		<a href="{$baseActionURL}?uP_edit_target={@ID}">
			<img src="{$mediaPath}/{$skin}/controls/edit.gif" alt="Image button: Edit" width="16" height="16" border="0"/>
		</a>
	</xsl:if>
	<xsl:if test="@printable='true'">
		<a href="{$baseActionURL}?uP_print_target={@ID}">
			<img src="{$mediaPath}/{$skin}/controls/print.gif" alt="Image button: Print" width="16" height="16" border="0"/>
		</a>
	</xsl:if>
	<xsl:if test="not(//focused)">
		<a href="{$baseActionURL}?uP_root={@ID}">
			<img src="{$mediaPath}/{$skin}/controls/focus.gif" alt="Image button: Focus" width="16" height="16" border="0"/>
		</a>
	</xsl:if>
	<xsl:if test="not(//focused)">
		<xsl:choose>
		<xsl:when test="@minimized='true'">
			<a href="{$baseActionURL}?uP_tcattr=minimized&amp;minimized_channelId={@ID}&amp;minimized_{@ID}_value=false">
				<img src="{$mediaPath}/{$skin}/controls/max.gif" alt="Image button: Maximize" width="16" height="16" border="0"/>
			</a>
		</xsl:when>
		<xsl:otherwise>
			<a href="{$baseActionURL}?uP_tcattr=minimized&amp;minimized_channelId={@ID}&amp;minimized_{@ID}_value=true">
				<img src="{$mediaPath}/{$skin}/controls/min.gif" alt="Image button: Minimize" width="16" height="16" border="0"/>
			</a>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:if>
	<a href="javascript:openBrWindow('{$baseActionURL}?uP_detach_target={@ID}','detachedChannel','toolbar=yes,location=yes,status=yes,menubar=yes,scrollbars=yes,resizable=yes,width=640,height=480')">
		<img src="{$mediaPath}/{$skin}/controls/detach.gif" alt="Image button: Detach" width="16" height="16" border="0"/>
	</a>
	<xsl:if test="//focused">
		<a href="{$baseActionURL}?uP_root=root">
			<img src="{$mediaPath}/{$skin}/controls/close.gif" alt="Image button: Close" width="16" height="16" border="0"/>
		</a>
	</xsl:if>
	</xsl:template>

	<xsl:template name="detachedChannelControls">
	<xsl:if test="not(@hasHelp='false')">
		<a href="{$baseActionURL}?uP_help_target={@ID}">
			<img src="{$mediaPath}/{$skin}/controls/help.gif" alt="Image button: Help" width="16" height="16" border="0"/>
		</a>
	</xsl:if>
	<xsl:if test="not(@hasAbout='false')">
		<a href="{$baseActionURL}?uP_about_target={@ID}">
			<img src="{$mediaPath}/{$skin}/controls/about.gif" alt="Image button: About" width="16" height="16" border="0"/>
		</a>
	</xsl:if>
	<xsl:if test="not(@editable='false')">
		<a href="{$baseActionURL}?uP_edit_target={@ID}">
			<img src="{$mediaPath}/{$skin}/controls/edit.gif" alt="Image button: Edit" width="16" height="16" border="0"/>
		</a>
	</xsl:if>
	<xsl:if test="@printable='true'">
		<a href="{$baseActionURL}?uP_print_target={@ID}">
			<img src="{$mediaPath}/{$skin}/controls/print.gif" alt="Image button: Print" width="16" height="16" border="0"/>
		</a>
	</xsl:if>
	<a href="javascript:window.close()">
		<img src="{$mediaPath}/{$skin}/controls/close.gif" alt="Image button: Close" width="16" height="16" border="0"/>
	</a>
	</xsl:template>

	<xsl:template match="focused">
		<xsl:apply-templates select="channel" mode="focused"/>
	</xsl:template>

	<xsl:template match="channel" mode="focused">
	<div><br/></div>

	<div class="display-1-columns"><div class="display-padded-column">
		<div class="corners-top"></div>
		<div class="channel-window-outside"><div class="channel-window-inside">
			<div class="channel-header">
				<div>
					<span><xsl:value-of select="@title"/></span>
					<xsl:call-template name="controls"/>
				</div>
			</div>
			<div class="channel-content-border"><div class="channel-content-body">
				<xsl:copy-of select="."/>
			</div></div>
		</div></div>
		<div class="corners-bottom"></div>
	</div></div>

	</xsl:template>

</xsl:stylesheet>